Subject: Re: [PATCH] powerpc: derive COMMAND_LINE_SIZE from asm-generic

From: Paul Gortmaker <[email-masked]>
Date: Thu, 13 Aug 2009 16:02:50 -0400

Arnd Bergmann wrote:
> On Thursday 13 August 2009 19:37:04 Paul Gortmaker wrote:
>> The default COMMAND_LINE_SIZE in asm-generic is 512, so the
>> net effect of this change is nil, aside from the cleanup
>> factor.  See also commit 2b74b8569.
>>
>> Signed-off-by: Paul Gortmaker <[email-masked]>
> 
> Acked-by: Arnd Bergmann <[email-masked]>
> 
> Just to clarify why this is good: There is a patch from Remis
> to kbuild that can automatically create the trivial wrappers,
> so we can remove arch/powerpc/include/asm/setup.h from the
> kernel once that patch is applied.
> 
> I was also planning to submit a series to clean up more powerpc
> in this way headers where applicable, see
> http://git.kernel.org/?p=linux/kernel/git/arnd/asm-generic.git;a=shortlog;h=powerpc

I'd looked at master and next in your tree; I didn't
list all the branches and so I'd not noticed powerpc in there
as well.

> 
> The series needs some forward porting to 2.6.31 as well as testing.
> If you or someone else wants to help with that, please go ahead!

I'll definitely have a look at what is in there.

Paul.

> Thanks,
> 	Arnd <><